task bedCoverage {
	File mie_bed
	File all_bed
	File left_50
	File left_100
	File left_150
	File left_200
	File right_50
	File right_100
	File right_150
	File right_200
	String sample_name
	String chromo
	String docker
	String cluster_config
	String disk_size
	
	command <<<

## MIE
		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_50} -b ${mie_bed} -counts | cut -f4 > ${sample_name}.${chromo}.mie.left50.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_100} -b ${mie_bed} -counts | cut -f4 > ${sample_name}.${chromo}.mie.left100.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_150} -b ${mie_bed} -counts | cut -f4 > ${sample_name}.${chromo}.mie.left150.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_200} -b ${mie_bed} -counts | cut -f4 > ${sample_name}.${chromo}.mie.left200.coverage.txt


		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_50} -b ${mie_bed} -counts | cut -f4 > ${sample_name}.${chromo}.mie.right50.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_100} -b ${mie_bed} -counts | cut -f4 > ${sample_name}.${chromo}.mie.right100.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_150} -b ${mie_bed} -counts | cut -f4 > ${sample_name}.${chromo}.mie.right150.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_200} -b ${mie_bed} -counts | cut -f4 > ${sample_name}.${chromo}.mie.right200.coverage.txt

		paste ${sample_name}.${chromo}.mie.left50.coverage.txt ${sample_name}.${chromo}.mie.left100.coverage.txt ${sample_name}.${chromo}.mie.left150.coverage.txt ${sample_name}.${chromo}.mie.left200.coverage.txt ${sample_name}.${chromo}.mie.right50.coverage.txt ${sample_name}.${chromo}.mie.right100.coverage.txt ${sample_name}.${chromo}.mie.right150.coverage.txt ${sample_name}.${chromo}.mie.right200.coverage.txt > ${sample_name}.${chromo}.mie.coverage.txt

# all variants

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_50} -b ${all_bed} -counts | cut -f4 > ${sample_name}.${chromo}.all.left50.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_100} -b ${all_bed} -counts | cut -f4 > ${sample_name}.${chromo}.all.left100.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_150} -b ${all_bed} -counts | cut -f4 > ${sample_name}.${chromo}.all.left150.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_200} -b ${all_bed} -counts | cut -f4 > ${sample_name}.${chromo}.all.left200.coverage.txt


		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_50} -b ${all_bed} -counts | cut -f4 > ${sample_name}.${chromo}.all.right50.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_100} -b ${all_bed} -counts | cut -f4 > ${sample_name}.${chromo}.all.right100.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_150} -b ${all_bed} -counts | cut -f4 > ${sample_name}.${chromo}.all.right150.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_200} -b ${all_bed} -counts | cut -f4 > ${sample_name}.${chromo}.all.right200.coverage.txt

		paste ${sample_name}.${chromo}.all.left50.coverage.txt ${sample_name}.${chromo}.all.left100.coverage.txt ${sample_name}.${chromo}.all.left150.coverage.txt ${sample_name}.${chromo}.all.left200.coverage.txt ${sample_name}.${chromo}.all.right50.coverage.txt ${sample_name}.${chromo}.all.right100.coverage.txt ${sample_name}.${chromo}.all.right150.coverage.txt ${sample_name}.${chromo}.all.right200.coverage.txt > ${sample_name}.${chromo}.all.coverage.txt


	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File mie = "${sample_name}.${chromo}.mie.coverage.txt"
		File all = "${sample_name}.${chromo}.all.coverage.txt"
	}
}
