import "./tasks/MIEpos2bed.wdl" as MIEpos2bed
import "./tasks/bedCoverage.wdl" as bedCoverage

workflow {{ project_name }} {
	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	File left_50
	File left_100
	File left_150
	File left_200
	File right_50
	File right_100
	File right_150
	File right_200
	String chromo
	String docker
	String cluster_config
	String disk_size

	scatter (sample in inputSamples){
		call MIEpos2bed.MIEpos2bed as MIEpos2bed {
			input:
			mie_file=sample[0],
			chromo=chromo,
			sample_name=sample[1],
			docker=docker,
			cluster_config=cluster_config,
			disk_size=disk_size
		}
		call bedCoverage.bedCoverage as bedCoverage {
			input:
			mie_bed=MIEpos2bed.mie_bed,
			all_bed=MIEpos2bed.all_bed,
			left_50=left_50,
			left_100=left_100,
			left_150=left_150,
			left_200=left_200,
			right_50=right_50,
			right_100=right_100,
			right_150=right_150,
			right_200=right_200,
			sample_name=sample[1],
			chromo=chromo,
			docker=docker,
			cluster_config=cluster_config,
			disk_size=disk_size
		}
	}
}
